package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWFL29Data {

    private Map<String, Object> params;
    
    public MWFL29Data(Map<String, Object> params) {
        this.params = params;
    }

    public String rsProdukt() {
        return (String) params.get("RS_PRODUKT");
    }

    public String rsTypsmlouvy() {
        return (String) params.get("RS_TYPSMLOUVY");
    }

    public String rsStavsmlouvy() {
        return (String) params.get("RS_STAVSMLOUVY");
    }

    public String rsCislosmlouvy() {
        return (String) params.get("RS_CISLOSMLOUVY");
    }

    public java.util.Date rsDatumod() {
        return (java.util.Date) params.get("RS_DATUMOD");
    }

    public java.util.Date rsDatumdo() {
        return (java.util.Date) params.get("RS_DATUMDO");
    }

    public String rsZkracenynazevproduktu() {
        return (String) params.get("RS_ZKRACENYNAZEVPRODUKTU");
    }

    public Double rsObjem() {
        return (Double) params.get("RS_OBJEM");
    }

    public String rsIsin() {
        return (String) params.get("RS_ISIN");
    } 

}
